org.apache.ignite.internal.processors.datastreamer

## Class DataStreamerResponse

- java.lang.Object
- - org.apache.ignite.internal.processors.datastreamer.DataStreamerResponse

All Implemented Interfaces:
  Serializable, Message

    public class DataStreamerResponse
    extends Object
    implements Message

See Also:
  Serialized Form

### Field Summary

### Fields inherited from interface org.apache.ignite.plugin.extensions.communication.Message

`DIRECT_TYPE_SIZE`

### Constructor Summary

Constructors
Constructor and Description
`DataStreamerResponse()` `Externalizable` support.
`DataStreamerResponse(long reqId, byte[] errBytes, boolean forceLocDep)`

### Method Summary

All Methods Instance Methods Concrete Methods
`short` `directType()` Gets message type.
`byte[]` `errorBytes()`
`byte` `fieldsCount()` Gets fields count.
`boolean` `forceLocalDeployment()`
`void` `onAckReceived()` Method called when ack message received.
`boolean` `readFrom(ByteBuffer buf, MessageReader reader)` Reads this message from provided byte buffer.
`long` `requestId()`
`String` `toString()`
`boolean` `writeTo(ByteBuffer buf, MessageWriter writer)` Writes this message to provided byte buffer.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### DataStreamerResponse

    public DataStreamerResponse(long reqId,
                                byte[] errBytes,
                                boolean forceLocDep)

Parameters:
  `reqId` - Request ID.
  `errBytes` - Error bytes.
  `forceLocDep` - Force local deployment.

#### DataStreamerResponse

    public DataStreamerResponse()

`Externalizable` support.

### Method Detail

#### requestId

    public long requestId()

Returns:
  Request ID.

#### errorBytes

    public byte[] errorBytes()

Returns:
  Error bytes.

#### forceLocalDeployment

    public boolean forceLocalDeployment()

Returns:
  `True` to force local deployment.

#### onAckReceived

    public void onAckReceived()

Method called when ack message received.

Specified by:
  `onAckReceived` in interface `Message`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### writeTo

    public boolean writeTo(ByteBuffer buf,
                           MessageWriter writer)

Writes this message to provided byte buffer.

Specified by:
  `writeTo` in interface `Message`
Parameters:
  `buf` - Byte buffer.
  `writer` - Writer.
Returns:
  Whether message was fully written.

#### readFrom

    public boolean readFrom(ByteBuffer buf,
                            MessageReader reader)

Reads this message from provided byte buffer.

Specified by:
  `readFrom` in interface `Message`
Parameters:
  `buf` - Byte buffer.
  `reader` - Reader.
Returns:
  Whether message was fully read.

#### directType

    public short directType()

Gets message type.

Specified by:
  `directType` in interface `Message`
Returns:
  Message type.

#### fieldsCount

    public byte fieldsCount()

Gets fields count.

Specified by:
  `fieldsCount` in interface `Message`
Returns:
  Fields count.

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.7.0
Release Date | : November 30 2018